"""Controller for all authentication pages.
"""

import logging

from sloecode.lib.base import BaseController
from pylons import request

import sloecode.lib.helpers as h

log = logging.getLogger(__name__)

class AuthController(BaseController):
    """AuthController provides actions for authenticating users.

    In reality, most of this is handled by repoze.what and repoze.who. All we
    need to do is to render the login form.
    """

    def login(self):
        """Render the login page template.
        """
        # Only populated if they've had an incorrect login
        if(request.environ.get('repoze.who.logins')):
            h.flash("Username or Password Incorrect")

        return self.render('/login.html')


